﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ReadExcel
{
    class Program
    {
        static void Main(string[] args)
        {
            if (args.Length == 0)
            {
                Console.WriteLine("ReadExcel <filename.xlsx>");
                return;
            }
            foreach (var arg in args)
            {
                var filename = System.IO.Path.ChangeExtension(arg, ".xlsx");
                if (!System.IO.File.Exists(filename))
                {
                    Console.WriteLine("{0} not found", filename);
                    continue;
                }
                // 最初のシートを CSV 形式で出力する（文字列のみ）
                var book = ExcelReader.ExcelReader.Load(filename);
                if (book.SheetCount > 0)
                {
                    var sheet = book.Sheets[0];
                    for (int i = 0; i < sheet.RowSize; i++)
                    {
                        var sb = new StringBuilder();
                        for (int j = 0; j < sheet.ColumnSize; j++)
                            sb.Append((j > 0 ? ",\"" : "\"") + sheet[i, j] + "\"");
                        Console.WriteLine(sb.ToString());
                    }
                }
            }
        }
    }
}
